/***************************************************************************
 *   Copyright (C) 2008 by peter komar   *
 *   peter@linux-nlyt   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef NEWDLGIMPL_H
#define NEWDLGIMPL_H

#include <QDialog>

#include "ui_NewDlg.h"

class QString;
/**
	@author peter komar <peter@linux-nlyt>
*/
class NewDlgImpl : public QDialog, public Ui::newDlg
{
Q_OBJECT
public:
    NewDlgImpl(QWidget *parent = 0);

    ~NewDlgImpl();

private slots:
    void slot_ok();
    void slot_select_file();
    void slot_select_dir();
public:
    bool b_ok;
    QString s_file;
    QString s_path;
    
};

#endif
